#include <bits/stdc++.h>
using namespace std;
long long l,n,i;
long long niz[1010];
int main() {
    cin >>n>>l;
    for (i=0 ; i<n ; i++) {
        cin >> niz[i];
    }
    for (i=0; i<n; i++) {
        if (niz[i]<=l){
            cout <<i+1<< endl;
    return 0;
    }
}
    cout<<"-1"<< endl;
    return 0;
}